register withdraw address
POST
/v1/withdraw-addresses
const url = 'https://api.flowpayra.com/v1/withdraw-addresses';const options = { method: 'POST', headers: { 'Idempotency-Key': 'example', 'X-Api-Key': '<X-Api-Key>', 'X-Signature': '<X-Signature>', 'X-Timestamp': '<X-Timestamp>', 'X-Nonce': '<X-Nonce>', 'Content-Type': 'application/json' }, body: '{"chain_id":"example","address":"example","destination_type":"owner","label":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.flowpayra.com/v1/withdraw-addresses \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: example' \ --header 'X-Api-Key: <X-Api-Key>' \ --header 'X-Nonce: <X-Nonce>' \ --header 'X-Signature: <X-Signature>' \ --header 'X-Timestamp: <X-Timestamp>' \ --data '{ "chain_id": "example", "address": "example", "destination_type": "owner", "label": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Idempotency-Key
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
chain_id
required
string
address
required
string
destination_type
string
label
string
Responses
Section titled “Responses”Successful response
Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}Stable API error
Media typeapplication/json
object
code
required
string
message
required
string
details
Examplegenerated
{ "code": "example", "message": "example", "details": "example"}